summaryrefslogtreecommitdiffstats
path: root/graphics/luminance-hdr
diff options
context:
space:
mode:
author David Spencer <baildon.research@googlemail.com>2010-07-03 01:36:14 -0500
committer Erik Hanson <erik@slackbuilds.org>2010-07-03 02:31:44 -0500
commit3287512581564f482b246fe0be427b7f91f5450b (patch)
treebae47e7da1344e31ebb90972303ddf338ee5ad1f /graphics/luminance-hdr
parente655bae816035e9f25aa8b9d19311914b5e8594a (diff)
downloadslackbuilds-3287512581564f482b246fe0be427b7f91f5450b.tar.gz
slackbuilds-3287512581564f482b246fe0be427b7f91f5450b.tar.xz
graphics/luminance-hdr: Added (replaces qtpfsgui)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'graphics/luminance-hdr')
-rw-r--r--graphics/luminance-hdr/README13
-rw-r--r--graphics/luminance-hdr/doinst.sh10
-rw-r--r--graphics/luminance-hdr/luminance-hdr.SlackBuild76
-rw-r--r--graphics/luminance-hdr/luminance-hdr.info10
-rw-r--r--graphics/luminance-hdr/slack-desc19
5 files changed, 128 insertions, 0 deletions
diff --git a/graphics/luminance-hdr/README b/graphics/luminance-hdr/README
new file mode 100644
index 0000000000..f801c50717
--- /dev/null
+++ b/graphics/luminance-hdr/README
@@ -0,0 +1,13 @@
+Luminance HDR is an HDR imaging tool. It creates an HDR file from a
+set of images (JPEG, TIFF 8 and 16 bit, RAW) of the same scene taken
+at different exposure settings. You can save and load HDR images,
+rotate and resize them, tonemap your images, and copy your EXIF data.
+
+Luminance HDR was formerly named qtpfsgui.
+
+If your target CPU supports SSE2 extensions, you can pass the variable
+SSE2=yes to the script: SSE2=yes sh luminance-hdr.SlackBuild
+If in doubt, just let the SlackBuild figure it out for you -- the
+default is SSE2=yes on x86_64 only, and SSE2=no on all other ARCHes.
+
+This requires dcraw and gsl.
diff --git a/graphics/luminance-hdr/doinst.sh b/graphics/luminance-hdr/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/graphics/luminance-hdr/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/graphics/luminance-hdr/luminance-hdr.SlackBuild b/graphics/luminance-hdr/luminance-hdr.SlackBuild
new file mode 100644
index 0000000000..fdf1309da4
--- /dev/null
+++ b/graphics/luminance-hdr/luminance-hdr.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for Luminance HDR
+# Written by David Spencer <baildon.research@googlemail.com>
+# This script is dedicated to the public domain
+
+PRGNAM=luminance-hdr
+VERSION=2.0.0
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ SSE2=${SSE2:-yes}
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM}_${VERSION}
+tar xvf $CWD/${PRGNAM}_${VERSION}.tar.gz
+cd ${PRGNAM}_${VERSION}
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Upstream unconditionally assumes SSE2 optimisation.
+# We can do better than that :-)
+if [ ${SSE2:-no} = "no" ]; then
+ sed -e 's/ -msse2//' -i project.pro
+fi
+
+qmake \
+ INSTALL_ROOT=$PKG \
+ PREFIX=/usr \
+ QMAKE_CFLAGS="$SLKCFLAGS" \
+ QMAKE_CXXFLAGS="$SLKCFLAGS"
+make
+make INSTALL_ROOT=$PKG install
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS BUGS Changelog INSTALL LICENSE README TODO \
+ $CWD/$PRGNAM.SlackBuild \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/luminance-hdr/luminance-hdr.info b/graphics/luminance-hdr/luminance-hdr.info
new file mode 100644
index 0000000000..c4c7d3fd53
--- /dev/null
+++ b/graphics/luminance-hdr/luminance-hdr.info
@@ -0,0 +1,10 @@
+PRGNAM="luminance-hdr"
+VERSION="2.0.0"
+HOMEPAGE="http://qtpfsgui.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/qtpfsgui/luminance-hdr_2.0.0.tar.gz"
+MD5SUM="8ee07d3f43c13f8c0ce2e23dd02cefa4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Spencer"
+EMAIL="baildon.research@googlemail.com"
+APPROVED="rworkman"
diff --git a/graphics/luminance-hdr/slack-desc b/graphics/luminance-hdr/slack-desc
new file mode 100644
index 0000000000..f5d644fd92
--- /dev/null
+++ b/graphics/luminance-hdr/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+luminance-hdr: Luminance HDR (HDR imaging tool)
+luminance-hdr:
+luminance-hdr: Luminance HDR creates an HDR file from a set of images (JPEG, RAW,
+luminance-hdr: TIFF 8 and 16 bit) of the same scene taken at different exposure
+luminance-hdr: settings. You can save and load HDR images, rotate and resize them,
+luminance-hdr: tonemap your images, and copy your EXIF data.
+luminance-hdr:
+luminance-hdr: Luminance HDR was formerly named qtpfsgui.
+luminance-hdr:
+luminance-hdr: Homepage: http://qtpfsgui.sourceforge.net/
+luminance-hdr: